optparse

Parse and process command-line options

$ luarocks install optparse

Automatically generate a custom command-line option parser from
just the long-form help text for your program.

Versions

1.4-13 years ago9,490 downloads
1.3-14 years ago2,132 downloads
1.2-14 years ago2,007 downloads
1.1.1-16 years ago5,579 downloads
1.1-16 years ago386 downloads
1.0.1-16 years ago356 downloads
1.0-16 years ago71 downloads

Dependencies

lua >= 5.1, < 5.5

Dependency for

lcmark, luapak, specl, tulip, tulip-cli

Labels

Manifests